# Uses of Class
org.eclipse.swt.ole.win32.OleAutomation

Packages that use OleAutomation
Package
Description
org.eclipse.swt.ole.win32
SWT Win32 OLE implementation classes.

## Uses of OleAutomation in org.eclipse.swt.ole.win32

Methods in org.eclipse.swt.ole.win32 that return OleAutomation
Modifier and Type
Method
Description
`OleAutomation`
Variant.`getAutomation()`
Returns the OleAutomation object represented by this Variant.
Methods in org.eclipse.swt.ole.win32 with parameters of type OleAutomation
Modifier and Type
Method
Description
`void`
OleControlSite.`addEventListener(OleAutomation automation, int eventID, OleListener listener)`
Adds the listener to receive events.
`void`
OleControlSite.`addEventListener(OleAutomation automation, String eventSinkId, int eventID, OleListener listener)`
Adds the listener to receive events.
`void`
OleControlSite.`removeEventListener(OleAutomation automation, int eventID, OleListener listener)`
Removes the listener.
`void`
OleControlSite.`removeEventListener(OleAutomation automation, org.eclipse.swt.internal.ole.win32.GUID guid, int eventID, OleListener listener)`
Deprecated.
- use OleControlSite.removeEventListener(OleAutomation, int, OleListener)
Constructors in org.eclipse.swt.ole.win32 with parameters of type OleAutomation
Modifier
Constructor
Description
``
`Variant(OleAutomation automation)`
Create a Variant object which represents an IDispatch interface as a VT_Dispatch.